Loading...
Searching...
No Matches
Catch::TestSpec::NamePattern Class Reference
Inheritance diagram for Catch::TestSpec::NamePattern:
[legend]
Collaboration diagram for Catch::TestSpec::NamePattern:
[legend]

## Public Member Functions

| NamePattern (std::string const &name, std::string const &filterString)
bool | matches (TestCaseInfo const &testCase) const override
Public Member Functions inherited from Catch::TestSpec::Pattern
| Pattern (std::string const &name)
virtual | ~Pattern ()
std::string const & | name () const

## Private Member Functions

void | serializeTo (std::ostream &out) const override

## Private Attributes

WildcardPattern | m_wildcardPattern

## Constructor & Destructor Documentation

## NamePattern()

Catch::TestSpec::NamePattern::NamePattern | ( | std::string const & | name,
|  | std::string const & | filterString )

explicit

Here is the call graph for this function:

## Member Function Documentation

## matches()

bool Catch::TestSpec::NamePattern::matches | ( | TestCaseInfo const & | testCase | ) | const

overridevirtual

Implements Catch::TestSpec::Pattern.

## serializeTo()

void Catch::TestSpec::NamePattern::serializeTo | ( | std::ostream & | out | ) | const

overrideprivatevirtual

Implements Catch::TestSpec::Pattern.

Here is the call graph for this function:

## Member Data Documentation

## m_wildcardPattern

WildcardPattern Catch::TestSpec::NamePattern::m_wildcardPattern

private

The documentation for this class was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp